
From: Nick Sillik <n.sillik@temple.edu>

This patch fixes the following wundef errors in fs/reiser4/* .

Signed-off-by: Nick Sillik <n.sillik@temple.edu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiser4/plugin/cryptcompress.c  |    2 +-
 fs/reiser4/plugin/dir/hashed_dir.c |    2 +-
 fs/reiser4/plugin/item/cde.c       |    2 +-
 fs/reiser4/plugin/item/ctail.c     |    2 +-
 fs/reiser4/plugin/item/internal.c  |    2 +-
 fs/reiser4/plugin/item/item.c      |   12 ++++++------
 fs/reiser4/plugin/item/sde.c       |    2 +-
 fs/reiser4/plugin/node/node40.c    |    2 +-
 fs/reiser4/plugin/plugin.c         |    2 +-
 fs/reiser4/seal.c                  |    2 +-
 fs/reiser4/super.c                 |    2 +-
 11 files changed, 16 insertions(+), 16 deletions(-)

diff -puN fs/reiser4/plugin/cryptcompress.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/cryptcompress.c
--- 25/fs/reiser4/plugin/cryptcompress.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/cryptcompress.c	Mon Aug 29 14:14:54 2005
@@ -603,7 +603,7 @@ __reserve4cluster(struct inode * inode, 
 	return 0;
 }
 
-#if REISER4_TRACE
+#ifdef REISER4_TRACE
 #define reserve4cluster(inode, clust, msg)    __reserve4cluster(inode, clust)
 #else
 #define reserve4cluster(inode, clust, msg)    __reserve4cluster(inode, clust)
diff -puN fs/reiser4/plugin/dir/hashed_dir.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/dir/hashed_dir.c
--- 25/fs/reiser4/plugin/dir/hashed_dir.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/dir/hashed_dir.c	Mon Aug 29 14:14:54 2005
@@ -1206,7 +1206,7 @@ typedef struct entry_actor_args {
 	reiser4_key *key;
 	/* how many entries with duplicate key was scanned so far. */
 	int non_uniq;
-#if REISER4_USE_COLLISION_LIMIT || REISER4_STATS
+#if defined(REISER4_USE_COLLISION_LIMIT) || defined(REISER4_STATS)
 	/* scan limit */
 	int max_non_uniq;
 #endif
diff -puN fs/reiser4/plugin/item/cde.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/item/cde.c
--- 25/fs/reiser4/plugin/item/cde.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/item/cde.c	Mon Aug 29 14:14:54 2005
@@ -463,7 +463,7 @@ can_contain_key_cde(const coord_t * coor
 	    (extract_dir_id_from_key(&item_key) == extract_dir_id_from_key(key));
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /* ->print() method for this item plugin. */
 reiser4_internal void
 print_cde(const char *prefix /* prefix to print */ ,
diff -puN fs/reiser4/plugin/item/ctail.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/item/ctail.c
--- 25/fs/reiser4/plugin/item/ctail.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/item/ctail.c	Mon Aug 29 14:14:54 2005
@@ -196,7 +196,7 @@ estimate_ctail(const coord_t * coord /* 
 		return data->length;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /* ->print() method for this item plugin. */
 reiser4_internal void
 print_ctail(const char *prefix /* prefix to print */ ,
diff -puN fs/reiser4/plugin/item/internal.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/item/internal.c
--- 25/fs/reiser4/plugin/item/internal.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/item/internal.c	Mon Aug 29 14:14:54 2005
@@ -210,7 +210,7 @@ reiser4_internal int check__internal(con
 	return 0;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /* debugging aid: print human readable information about internal item at
    @coord  */
 reiser4_internal void
diff -puN fs/reiser4/plugin/item/item.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/item/item.c
--- 25/fs/reiser4/plugin/item/item.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/item/item.c	Mon Aug 29 14:14:54 2005
@@ -350,7 +350,7 @@ item_plugin item_plugins[LAST_ITEM_ID] =
 			.max_unit_key      = NULL,
 			.estimate          = NULL,
 			.item_data_by_flow = NULL,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			.print             = print_sd,
 			.item_stat         = item_stat_static_sd,
 #endif
@@ -403,7 +403,7 @@ item_plugin item_plugins[LAST_ITEM_ID] =
 			.max_unit_key      = NULL,
 			.estimate          = NULL,
 			.item_data_by_flow = NULL,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			.print             = print_de,
 			.item_stat         = NULL,
 #endif
@@ -460,7 +460,7 @@ item_plugin item_plugins[LAST_ITEM_ID] =
 			.max_unit_key      = unit_key_cde,
 			.estimate          = estimate_cde,
 			.item_data_by_flow = NULL
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			, .print           = print_cde,
 			.item_stat         = NULL
 #endif
@@ -517,7 +517,7 @@ item_plugin item_plugins[LAST_ITEM_ID] =
 			.max_unit_key      = NULL,
 			.estimate          = NULL,
 			.item_data_by_flow = NULL
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			, .print           = print_internal,
 			.item_stat         = NULL
 #endif
@@ -678,7 +678,7 @@ item_plugin item_plugins[LAST_ITEM_ID] =
 			.max_unit_key      = unit_key_tail,
 			.estimate          = estimate_ctail,
 			.item_data_by_flow = NULL
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			, .print           = print_ctail,
 			.item_stat         = NULL
 #endif
@@ -738,7 +738,7 @@ item_plugin item_plugins[LAST_ITEM_ID] =
 			.max_unit_key      = NULL,
 			.estimate          = NULL,
 			.item_data_by_flow = NULL,
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 			.print             = NULL,
 			.item_stat         = NULL,
 #endif
diff -puN fs/reiser4/plugin/item/sde.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/item/sde.c
--- 25/fs/reiser4/plugin/item/sde.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/item/sde.c	Mon Aug 29 14:14:54 2005
@@ -18,7 +18,7 @@
 #include <linux/dcache.h>	/* for struct dentry */
 #include <linux/quotaops.h>
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 reiser4_internal void
 print_de(const char *prefix /* prefix to print */ ,
 	 coord_t * coord /* item to print */ )
diff -puN fs/reiser4/plugin/node/node40.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/node/node40.c
--- 25/fs/reiser4/plugin/node/node40.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/node/node40.c	Mon Aug 29 14:14:54 2005
@@ -445,7 +445,7 @@ lookup_node40(znode * node /* node to qu
 	assert("nikita-3214",
 	       equi(found, keyeq(&node40_ih_at(node, left)->key, key)));
 
-#if REISER4_STATS
+#ifdef REISER4_STATS
 	NODE_ADDSTAT(node, found, !!found);
 	NODE_ADDSTAT(node, pos, left);
 	if (items > 1)
diff -puN fs/reiser4/plugin/plugin.c~reiser4-fix-wundef-warnings fs/reiser4/plugin/plugin.c
--- 25/fs/reiser4/plugin/plugin.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/plugin/plugin.c	Mon Aug 29 14:14:54 2005
@@ -323,7 +323,7 @@ get_plugin_list(reiser4_plugin_type type
 	return &plugins[type_id].plugins_list;
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /* print human readable plugin information */
 reiser4_internal void
 print_plugin(const char *prefix /* prefix to print */ ,
diff -puN fs/reiser4/seal.c~reiser4-fix-wundef-warnings fs/reiser4/seal.c
--- 25/fs/reiser4/seal.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/seal.c	Mon Aug 29 14:14:54 2005
@@ -209,7 +209,7 @@ seal_matches(const seal_t * seal /* seal
 	return UNDER_SPIN(jnode, ZJNODE(node), (seal->version == node->version));
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /* debugging function: print human readable form of @seal. */
 reiser4_internal void
 print_seal(const char *prefix, const seal_t * seal)
diff -puN fs/reiser4/super.c~reiser4-fix-wundef-warnings fs/reiser4/super.c
--- 25/fs/reiser4/super.c~reiser4-fix-wundef-warnings	Mon Aug 29 14:14:54 2005
+++ 25-akpm/fs/reiser4/super.c	Mon Aug 29 14:14:54 2005
@@ -378,7 +378,7 @@ build_object_ops(struct super_block *sup
 #endif
 }
 
-#if REISER4_DEBUG_OUTPUT
+#ifdef REISER4_DEBUG_OUTPUT
 /*
  * debugging function: output human readable information about file system
  * parameters
_
